/**********************************************************
　　製作者　　アドウィン
　　解　説　　矩形波でのスピーカ出力 – プログラム例
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み

// スピーカ用ピンの設定
int speaker = 18;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // スピーカ用ピンの初期設定
  pinMode(speaker, OUTPUT);
  digitalWrite(speaker, LOW);

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // スピーカ用ピンをHレベルに
  digitalWrite(speaker, HIGH);
  // 時間待ち（1s÷440Hz÷2=1136μs）
  delayMicroseconds(1136);
  // スピーカ用ピンをLレベルに
  digitalWrite(speaker, LOW);
  // 時間待ち（1s÷440Hz÷2=1136μs）
  delayMicroseconds(1136);

  delay(1); // 時間待ち
}